Bug 58942 - reliability fix for holyshout port
Summary: reliability fix for holyshout port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-05 01:50 UTC by Joel Sutton
Modified: 2003-12-04 08:08 UTC (History)
0 users

See Also:


Attachments
file.diff (29 bytes, patch)
2003-11-05 01:50 UTC, Joel Sutton
no flags Details | Diff
file.diff (157 bytes, patch)
2003-11-05 01:50 UTC, Joel Sutton
no flags Details | Diff
file.diff (185 bytes, patch)
2003-11-05 01:50 UTC, Joel Sutton
no flags Details | Diff
holyshout-patch (616 bytes, TEXT/PLAIN; charset=US-ASCII)
2003-11-23 05:09 UTC, Junseon Oh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Sutton 2003-11-05 01:50:18 UTC
Holyshout includes an older copy of libshout which has been causing 
reliability problems when connecting to icecast with the mpg123 
client. The
most common issue is that mpg123 would exit with an error when 
holyshout 
started streaming the next track in the playlist.

I've included a fix to update the port to use the version of libshout
that is in the 4.8-RELEASE ports tree. This, of course, fixes the 
problem.
I'm very rusty on creating/maintaining ports so I hope this gives you 

enough to sort things out. 

Thanks, Joel...

Fix: Apply the following patch to the port Makefile:

PORTNAME=     holyshout
  PORTVERSION=  0.1.3
+ PORTREVISION= 1
  CATEGORIES=   audio net
  MASTER_SITES= ftp://ftp.holywar.net/pub/FreeBSD/

***************
USE_GMAKE=    yes
  USE_REINPLACE=        yes
+
+ LIB_DEPENDS+=   shout.2:${PORTSDIR}/audio/libshout

  post-patch:
        (find ${WRKSRC} -name Makefile | xargs ${REINPLACE_CMD} -e \


Include the following patches in the files directory:

-#include "libshout/shout.h"
+#include "shout/shout.h"
 #include "liblame/lame.h"

 #define VERSION "HOLYSHOUT VERSION 0.1.3"




CC     = gcc
-CFLAG  += -O2 -fomit-frame-pointer -funroll-all-loops -g -L. -
Lliblame -lm -lnc
urses -lmp3lame libshout/.libs/libshout.a
+CFLAG  += -O -pipe  -fomit-frame-pointer -funroll-all-loops -g -
Lliblame -lm -l
ncurses -lmp3lame -I/usr/local/include -L/usr/local/lib -lshout
 PROG   = holyshout
 DESTDIR        = /usr/local/bin/
 RM = /bin/rm -f

-all: liblame libshout holyshout
+all: liblame holyshout


-holyshout : holyshout.c liblame libshout
+holyshout : holyshout.c liblame
        cd liblame ; gmake ;
        cd libshout ; gmake ;
        ${CC} -o holyshout holyshout.c ${CFLAG}--qr6p60ZOYGSuBS8wKXTz1nwhBnQ8RYW7bhuCmzPXyaaE64Jv
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

*** Makefile.orig       Sun Jun 15 12:59:22 2003
--- Makefile    Sun Jun 15 13:01:01 2003
***************
*** 7,12 ****
--- 7,13 ----
How-To-Repeat: Install holyshout and icecast. Stream mp3 files, collected with 
ripit, to 
the icecast server. Use either the mpg123 version included in the 
4.8-RELEASE ports collection, or the latest version from the mpg123 
web 
site, to listen to the results.
Comment 1 Sergei Kolobov freebsd_committer 2003-11-22 23:42:35 UTC
Dear FreeBSD port maintainer,

Please review the following PR:

	http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/58942

and let us know if you approve or disapprove the changes.

Thanks!

Sergei

PS. Note to the submitter: please CC maintainer next time.
Comment 2 Junseon Oh 2003-11-23 05:09:29 UTC
First , thanks to Joel Sutton.

I update a holyshout to new version of 0.2
Removing a old libshout and put the library dependency audio/libshout.
Some function has been improved and remove a -O6 , -O2 tag in Makefile.

Here is a new patch file. please commit that.
Thanks.

Regards,

--
JunSeon Oh <hollywar@mail.holywar.net>
Comment 3 Junseon Oh 2003-11-23 05:27:21 UTC
Ah.. i mistake that patch file to attach. here is a patch in text. also distinfo.
Thanks.

MD5 (holyshout-0.2.tar.gz) = 17b12027091751f50b11b7d597b05734


--- audio/holyshout/Makefile	Fri Nov 14 06:20:31 2003
+++ local/holyshout/Makefile	Sun Nov 23 14:00:30 2003
@@ -6,7 +6,8 @@
 #

 PORTNAME=	holyshout
-PORTVERSION=	0.1.3
+PORTVERSION=	0.2
+PORTREVISION=	1
 CATEGORIES=	audio net
 MASTER_SITES=	ftp://ftp.holywar.net/pub/FreeBSD/

@@ -16,9 +17,9 @@
 USE_GMAKE=	yes
 USE_REINPLACE=	yes

+LIB_DEPENDS+=   shout.2:${PORTSDIR}/audio/libshout
+
 post-patch:
-	(${FIND} ${WRKSRC} -name Makefile | ${XARGS} ${REINPLACE_CMD} -e \
-		"s@-O20@${CFLAGS}@g ; s@-O2@${CFLAGS}@g")
 	${REINPLACE_CMD} -e 's,/usr/local,${PREFIX},g' \
 		${WRKSRC}/Makefile
Comment 4 Hye-Shik Chang freebsd_committer 2003-12-04 08:07:54 UTC
State Changed
From-To: open->closed

Updated. Thank you!